import { html as l } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as g } from "./PieIconComponent.js";
import { safeCustomElement as h } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, m = Object.getOwnPropertyDescriptor, a = (i, r, s, t) => {
  for (var e = t > 1 ? void 0 : t ? m(r, s) : r, p = i.length - 1, c; p >= 0; p--)
    (c = i[p]) && (e = (t ? c(r, s, e) : c(e)) || e);
  return t && e && f(r, s, e), e;
};
let o = class extends g {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--caretUpLarge", this.class = "c-pieIcon c-pieIcon--caretUpLarge", this.name = "IconCaretUpLarge";
  }
  render() {
    return l`<svg width="${this._svgWidth}" height="${this._svgHeight}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--caretUpLarge"><path d="m26.229 22.125-8.96-14a1.68 1.68 0 0 0-2.844 0l-8.671 14a1.68 1.68 0 0 0 1.426 2.564h17.64a1.68 1.68 0 0 0 1.409-2.564ZM7.31 23 15.86 9.131l8.829 13.808L7.31 23Z"></path></svg>`;
  }
};
a([
  n({ type: String, reflect: !0 })
], o.prototype, "size", 2);
a([
  n({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = a([
  h("icon-caret-up-large")
], o);
export {
  o as IconCaretUpLarge
};
